/*-------------------------------------------------------------------------+
| Copyright 2011 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.rcp.application.example;

import org.fortiss.af3.platform.ui.examples.SimpleTrafficLightsAllocationExample;
import org.fortiss.af3.project.example.IExample;
import org.fortiss.af3.project.model.FileProject;

/**
 * An {@link IExample} for the simple traffic lights controller composed from
 * example classes found in the product's plugins. This example uses components
 * with code specifications, a generic platform and a deployment. It
 * demonstrates the deployment code generation capability.
 * 
 * @author hoelzl
 * @author wandinger
 */
public class SimpleTrafficLightsCodeGenerationExample extends SimpleTrafficLightsAllocationExample {

	/** Singleton instance. */
	public static final SimpleTrafficLightsCodeGenerationExample INSTANCE =
			new SimpleTrafficLightsCodeGenerationExample();

	/** Constructor. */
	protected SimpleTrafficLightsCodeGenerationExample() {
		// Intentionally empty.
	}

	/** {@inheritDoc} */
	@Override
	public FileProject createProject(String projectName) {
		// For now we only use the super's functionality.
		FileProject project = super.createProject(projectName);

		// Return the new project.
		return project;
	}
}
